Bug 321571 - window borders disappeared in wine 0.9.44 and higher with compiz running
window borders disappeared in wine 0.9.44 and higher with compiz running
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-06 15:46 EDT by Neal Gompa
Modified: 2008-06-16 22:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:35:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neal Gompa 2007-10-06 15:46:51 EDT
Description of problem: In Wine 0.9.44 and higher, the window borders when the
window manager is supposed to manage the wine windows do not appear, making them
giant blocks that cannot be moved that are independent of the window managed desktop

Version-Release number of selected component (if applicable):

How reproducible:
Reproducible easily 

Steps to Reproduce:
1. Use compiz as window manager
2. load ANY windowed Wine program (winecfg, notepad, regedit, etc.)
Actual results:
app window appears, but window managed borders are not there, consequently,
switching workspaces does not affect the unmanaged windows, they appear over

Expected results:
app window appear with window managed borders and switching workspaces should
have normal effects to the wine applications

Additional info: N/A
Comment 1 Dan Fuhry 2007-10-06 16:08:54 EDT
What version of Compiz are you running?
Comment 2 Neal Gompa 2007-10-06 16:38:23 EDT
compiz 0.3.6-8
Comment 3 Dan Fuhry 2007-10-06 19:50:40 EDT
I've reproduced this using compiz-0.5.2-0.1 from kagesenshi-compiz. So
apparently not 0.3.x-specific.
Comment 4 Dan Fuhry 2007-10-06 20:04:35 EDT
Interestingly enough, decorations showed up on an Internet Explorer 6 window,
which apparently was fully managed (only one cube face etc). IE was installed
through the ies4linux script. All other WINE windows were completely unmanaged
though except for the glide effect when the windows were created and destroyed.
Comment 5 Andreas Bierfert 2007-10-07 02:33:58 EDT
Apparently this a compiz bug and not a wine bug (at least from what I have heard
from the wine folks. I am about to do a build of .46 today and will try to push
it f7-updates-testing as soon as it is done... 
Comment 6 Neal Gompa 2007-10-10 19:39:18 EDT
Compiz Fusion has fixed it in the latest git. The bug report from
OpenCompositing.org regarding compiz and wine states the issue has been fixed.

Compiz bug report: http://bugs.opencompositing.org/show_bug.cgi?id=447#c8

The gitweb commit info:
Comment 7 Bug Zapper 2008-05-14 10:38:34 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2008-06-16 22:35:33 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.